.FIRST
    @ ! echo: write to stdout; tab: some spacing
    @ echo = "write sys$output"
    @ tab = "    "
.include ccflags.mms

SHAREOPTS = KERMIT.OPT/OPTION

OBJECT_MODULES = ckcmai.obj, ckclib.obj, -
    ckcfns.obj, ckcfn2.obj, ckcfn3.obj, ckcnet.obj, ckcpro.obj, -
    ckuusr.obj, ckuus2.obj, ckuus3.obj, ckuus4.obj, ckuus5.obj, -
    ckuus6.obj, ckuus7.obj, ckuusx.obj, ckuusy.obj, ckctel.obj, -
    ckucmd.obj, ckudia.obj, ckuscr.obj, ckuxla.obj, ckusig.obj, -
    ckvcon.obj, ckvioc.obj, ckvfio.obj, ckvtio.obj, ckcuni.obj

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
! Rule Section:
!
.C.OBJ :
    @ echo tab + "Compiling ''f$trnlnm("KSP")'$(MMS$SOURCE)" - "KSP:"
    @ $(CC) $(CCFLAGS) /object=$(MMS$TARGET) $(MMS$SOURCE)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
! Dependencies Section:
!
all :   wermit.exe  ckvcvt.exe
    @ continue

wermit :   wermit.exe
    @ continue

ckvcvt :   ckvcvt.exe
    @ continue

wermit.exe : $(OBJECT_MODULES)
    @ echo tab + "Linking $(MMS$TARGET_NAME)"

       $(LINK) $(LINKFLAGS) -
        /exec=wermit.exe $(SHAREOPTS)

ckvcvt.exe : ckvcvt.obj
    @ echo tab + "Linking $(MMS$TARGET_NAME)"
        $(LINK) $(LINKFLAGS) ckvcvt.obj,aux.opt/opt

ckvioc.obj : KSP:ckvioc.c KSP:ckvioc.h KSP:ckcdeb.h

ckvfio.obj : KSP:ckvfio.c KSP:ckcdeb.h KSP:ckuver.h

ckvtio.obj : KSP:ckvtio.c KSP:ckcdeb.h KSP:ckcnet.h KSP:ckuver.h

ckvcon.obj : KSP:ckvcon.c KSP:ckcker.h KSP:ckcdeb.h KSP:ckcasc.h KSP:ckcnet.h

ckusig.obj : KSP:ckusig.c KSP:ckcdeb.h KSP:ckcasc.h KSP:ckcker.h KSP:ckcnet.h KSP:ckuusr.h KSP:ckcsig.h

ckwart.obj : KSP:ckwart.c

ckwart.exe : ckwart.obj
    @ echo tab + "Linking $(MMS$TARGET_NAME)"
        $(LINK) /nodebug/nomap ckwart.obj,aux.opt/opt


ckcpro.obj : ckcpro.c KSP:ckcker.h KSP:ckcdeb.h KSP:ckcasc.h
	@ echo "Compiling $(MMS$SOURCE)"
	@ $(CC) $(CCFLAGS)/INCLUDE_DIRECTORY=KSP: $(MMS$SOURCE)

ckcpro.c : KSP:ckcpro.w ckwart.exe KSP:ckcdeb.h KSP:ckcasc.h KSP:ckcker.h
    @ echo "CKWART $(MMS$SOURCE) CKCPRO.C"
    @ ckwart = "$" + f$parse("CKWART.EXE",,,"DEVICE") + -
        f$parse("CKWART.EXE",,,"DIRECTORY") + "CKWART"
    @ ckwart KSP:ckcpro.w ckcpro.c

ckcmai.obj : KSP:ckcmai.c KSP:ckcker.h KSP:ckcdeb.h KSP:ckcsym.h -
             KSP:ckcasc.h KSP:ckcnet.h KSP:ckcsig.h

ckclib.obj : KSP:ckclib.c KSP:ckclib.h KSP:ckcdeb.h KSP:ckcasc.h KSP:ckcsym.h

ckcnet.obj : KSP:ckcnet.c KSP:ckcker.h KSP:ckcdeb.h KSP:ckcnet.h

ckcfns.obj : KSP:ckcfns.c KSP:ckcker.h KSP:ckcdeb.h KSP:ckcsym.h KSP:ckcasc.h -
             KSP:ckcuni.h

ckcfn2.obj : KSP:ckcfn2.c KSP:ckcker.h KSP:ckcdeb.h KSP:ckcsym.h KSP:ckcasc.h -
             KSP:ckcuni.h

ckcfn3.obj : KSP:ckcfn3.c KSP:ckcker.h KSP:ckcdeb.h KSP:ckcsym.h KSP:ckcasc.h -
             KSP:ckcuni.h

ckuxla.obj : KSP:ckuxla.c KSP:ckcker.h KSP:ckcdeb.h KSP:ckcxla.h KSP:ckuxla.h

ckcuni.obj : KSP:ckcuni.c KSP:ckcdeb.h KSP:ckcker.h KSP:ckucmd.h KSP:ckcuni.h -
             KSP:ckcxla.h KSP:ckuxla.h KSP:ckcuni.h

ckuusr.obj : KSP:ckuusr.c -
             KSP:ckucmd.h KSP:ckcker.h KSP:ckuusr.h KSP:ckcdeb.h -
             KSP:ckcxla.h KSP:ckuxla.h KSP:ckcasc.h KSP:ckcnet.h KSP:ckcuni.h

ckuus2.obj : KSP:ckuus2.c -
             KSP:ckucmd.h KSP:ckcker.h KSP:ckuusr.h KSP:ckcdeb.h -
             KSP:ckcxla.h KSP:ckuxla.h KSP:ckcasc.h KSP:ckcuni.h

ckuus3.obj : KSP:ckuus3.c -
             KSP:ckucmd.h KSP:ckcker.h KSP:ckuusr.h KSP:ckcdeb.h -
             KSP:ckcxla.h KSP:ckuxla.h KSP:ckcasc.h KSP:ckcnet.h KSP:ckcuni.h

ckuus4.obj : KSP:ckuus4.c -
             KSP:ckucmd.h KSP:ckcker.h KSP:ckuusr.h KSP:ckcdeb.h -
             KSP:ckcxla.h KSP:ckuxla.h KSP:ckcasc.h KSP:ckcnet.h KSP:ckcuni.h

ckuus5.obj : KSP:ckuus5.c -
             KSP:ckucmd.h KSP:ckcker.h KSP:ckuusr.h KSP:ckcdeb.h -
             KSP:ckcxla.h KSP:ckuxla.h KSP:ckcasc.h KSP:ckcuni.h

ckuus6.obj : KSP:ckuus6.c KSP:ckcuni.h -
             KSP:ckucmd.h KSP:ckcker.h KSP:ckuusr.h KSP:ckcdeb.h KSP:ckcasc.h

ckuus7.obj : KSP:ckuus7.c -
             KSP:ckucmd.h KSP:ckcker.h KSP:ckuusr.h KSP:ckcdeb.h -
             KSP:ckcxla.h KSP:ckuxla.h KSP:ckcasc.h KSP:ckcnet.h KSP:ckcuni.h

ckuusx.obj : KSP:ckuusx.c KSP:ckcker.h KSP:ckuusr.h KSP:ckcdeb.h KSP:ckcasc.h -
             KSP:ckcuni.h

ckuusy.obj : KSP:ckuusy.c KSP:ckcker.h KSP:ckcdeb.h KSP:ckcasc.h

ckucmd.obj : KSP:ckucmd.c KSP:ckcasc.h KSP:ckucmd.h KSP:ckcdeb.h

ckudia.obj : KSP:ckudia.c KSP:ckcker.h KSP:ckcdeb.h KSP:ckucmd.h -
             KSP:ckcasc.h KSP:ckcsig.h

ckuscr.obj : KSP:ckuscr.c KSP:ckcker.h KSP:ckcdeb.h KSP:ckcasc.h KSP:ckcsig.h

ckvcvt.obj : KSP:ckvcvt.c

ckctel.obj : KSP:ckctel.c KSP:ckcsym.h KSP:ckcdeb.h KSP:ckcker.h KSP:ckcnet.h -
             KSP:ckctel.h KSP:ckclib.h

!! end of ckvker.mms !!
